# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "ez-rust-discovery"
version = "0.1.3"
authors = ["Zero<zero9501@outlook.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "gRPC service discovery through Nacos"
homepage = "https://github.com/zlx2019/ez-rust-discovery"
documentation = "https://github.com/zlx2019/ez-rust-discovery/README.md"
readme = "README.md"
keywords = [
    "nacos",
    "discovery",
]
license = "MIT"
repository = "https://github.com/zlx2019/ez-rust-discovery"

[features]
default = []

[lib]
name = "ez_rust_discovery"
path = "src/lib.rs"

[[example]]
name = "grpc_service"
path = "examples/grpc_service.rs"

[dependencies.futures]
version = "0.3"

[dependencies.local-ip-address]
version = "0.6.5"

[dependencies.nacos-sdk]
version = "0.5"
features = [
    "default",
    "auth-by-http",
]

[dependencies.tracing]
version = "0.1"

[dev-dependencies]
